/** 
 *------------------------------------------------------------------------------
 * @package       T3 Framework for Joomla!
 *------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2004-2013 JoomlArt.com. All Rights Reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       JoomlArt, JoomlaBamboo, (contribute to this project at github 
 *                & Google group to become co-author)
 * @Google group: https://groups.google.com/forum/#!forum/t3fw
 * @Link:         http://t3-framework.org 
 *------------------------------------------------------------------------------
 */


// VARIABLES & MIXINS
// ------------------
@import "vars.less"; // Include Variables and Mixins


// EXTEND STYLE IN BASE
// --------------------
@import "../../../plugins/system/t3/base-bs3/less/megamenu.less";


//
// BASIC STYLE FOR MEGAMENU
// -------------------------
.t3-megamenu {

  // THE MEGAMENU
  //--------------------------------------------

  // Global Menu Inner padding
  // -------------------------
  .mega-inner {
    padding: 10px 15px;
  }

  // Inner Padding for 1 column
  .col-lg-12 .mega-inner,
  .col-md-12 .mega-inner,
  .col-sm-12 .mega-inner,
  .col-xs-12 .mega-inner {
  }


  // Menu Grids
  // ----------
  .row {
    margin-left: auto;
    margin-right: auto;
  }

  .row + .row  {
    padding-top: @t3-global-padding / 2;
    border-top: 1px solid @hr-border;
  }


  // The Dropdown
  // ------------
  .mega-dropdown-menu {
  }


  // Dropdown Sub Menus
  // ------------------
  .dropdown-submenu {
  }


  // The Group
  // ---------
  .mega-group {
  }

  // Group Title
  // We use BS3 "dropdown-header"
  //.mega-nav .mega-group > .mega-group-title,
  //.dropdown-menu .mega-nav .mega-group > .mega-group-title,
  //.dropdown-menu .active .mega-nav .mega-group > .mega-group-title
  .dropdown-header,
  .mega-nav .mega-group > .dropdown-header,
  .dropdown-menu .mega-nav .mega-group > .dropdown-header,
  .dropdown-menu .active .mega-nav .mega-group > .dropdown-header {
    margin: 15px 0 0 0;
    padding: 0 0 15px 0;
		border-bottom: 1px solid #ddd;
		text-transform: uppercase;
		font-weight: bold;
    background: @t3-module-title-bg;
    color: @t3-module-title-color;
    font-size: @t3-font-size-big;
    line-height: normal;
    // Link states
    &:hover, &:active, &:focus {
      background: inherit;
      color: @navbar-default-link-hover-color;
    }
  }

  // Group Content
  .mega-group-ct {
    .row {
      margin-left: -15px;
      margin-right: -15px;
    }
  }


  // Nav in Megamenu
  // ---------------
  .mega-col-nav {
  }

  // Inner padding
  .mega-col-nav .mega-inner {
  }

  // Inner padding for nav in 1 column
  .col-lg-12.mega-col-nav .mega-inner,
  .col-md-12.mega-col-nav .mega-inner,
  .col-sm-12.mega-col-nav .mega-inner,
  .col-xs-12.mega-col-nav .mega-inner {
  }

  .mega-group .col-lg-12.mega-col-nav .mega-inner,
  .mega-group .col-md-12.mega-col-nav .mega-inner,
  .mega-group .col-sm-12.mega-col-nav .mega-inner,
  .mega-group .col-xs-12.mega-col-nav .mega-inner {
  }

  // The Nav
  .mega-nav,
  .dropdown-menu .mega-nav {
  }

	.mega-nav li:last-child > a,
	.dropdown-menu .mega-nav li:last-child > a {
		border-bottom: none;
  }
	
	.mega-nav li > a,
	.dropdown-menu .mega-nav li > a {
		border-bottom: 1px dotted #ccc;
		color: @dropdown-link-color;
	}

  .dropdown-menu .mega-nav > li .separator {
  }

  // Nav in Group
  .mega-group > .mega-nav,
  .dropdown-menu .mega-group > .mega-nav {
  }

  .mega-group > .mega-nav > li,
  .dropdown-menu .mega-group > .mega-nav > li {
  }

  .mega-group .mega-nav > li a,
  .dropdown-menu .mega-group .mega-nav > li a {
		border-bottom: 1px dotted #ccc;
  }

  // The caret
  .mega-nav .dropdown-submenu > a::after {
    margin-right: 0;
  }


  // Modules in Megamenu
  // -------------------
  .mega-col-module {
  }

  // Inner padding
  .mega-col-module .mega-inner {
  }

  // The module
  .t3-module {
  }

  // Module Title
  .t3-module .module-title {
    .dropdown-header(); // Make the Module Title look like Dropdown Header
    margin-bottom: 10px;
		text-transform: uppercase;
		color: @gray-dark;
  }

  // Module Content
  .t3-module .module-ct {
  }

  // List in Module
  // Reset List Style in Module
  .t3-module ul,
  .t3-module .nav {
  }

  .t3-module ul li,
  .t3-module .nav li {
    list-style: disc;
    display: list-item;
    float: none;
    margin: 0;
    padding: 0;
    border: 0;
  }

  .t3-module ul li a,
  .t3-module .nav li a {
    display: inline;
    padding: 0;
    margin: 0;
    border: 0;
    font-size: 100%;
    background: none;
    font: inherit;
    white-space: normal;
    // Link states
    &:hover, &:focus, &:active {
      background: none;
      color: inherit;
      font: inherit;
    }
  }
  
  // Nav in Module
  .dropdown-menu .t3-module .nav {
  }

  .dropdown-menu .t3-module .nav li {
  }

  .dropdown-menu .t3-module .t3-module li a {
    // Link states
    &:hover, &:focus, &:active {
    }
  }
  

  // The caption
  // -----------
  .mega-caption {
    color: @gray-light;
    font-size: @t3-font-size-smaller;
    margin-top: 3px;
    font-weight: normal;
		text-transform: none;
  }


  // The caret
  // ---------
  .nav .caret,
  .dropdown-submenu .caret,
  .mega-menu .caret {
  }

  // Show the caret on level 0 only
  .nav > .dropdown > .dropdown-toggle .caret {
  }


  // The icon
  // --------
  .nav [class^="icon-"],
  .nav [class*=" icon-"],
  .nav .fa {
  }

  // Reset the margin on Input Group Addon
  .nav .input-group-addon [class^="icon-"],
  .nav .input-group-addon [class*=" icon-"],
  .nav .input-group-addon .fa {
    margin-right: 0;
  }

  // End
}